@font-face {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot');
    /* IE9 Compat Modes */
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/SangBleuRepublic-Regular-WebTrial.svg') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Neue Haas Grotesk Display Pro';
    src: url('../font/NeueHaasDisplay-Roman.eot');
    /* IE9 Compat Modes */
    src: url('../font/NeueHaasDisplay-Roman.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/NeueHaasDisplay-Roman.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/NeueHaasDisplay-Roman.svg') format('svg');
    /* Legacy iOS */
}

*,
*:after,
*:before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    position: absolute;
    height: 100%;
    background-color: #DB7659;
    /* overflow: hidden; */
}

.grid-container {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 10fr 1fr;
    grid-template-rows: 1fr 10fr 1fr;
    grid-template-areas: "film   header  theatre" "gside main  bside" "whatson   footer  about";
    height: 100%;
    justify-items: center;
    align-items: center;
    overflow: hidden;
}

header {
    grid-area: header;
}

.logo {
    height: 2.75rem;
    width: 2.75rem;
    margin: auto;
    margin-bottom: 65%;
}

.logo:hover {
    height: 2.65rem;
    width: 2.65rem;
}

.film {
    grid-area: film;
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.film a {
    text-decoration: none;
    color: black;
}

.theatre {
    grid-area: theatre;
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.theatre a {
    text-decoration: none;
    color: black;
}

.gside {
    margin: auto;
    margin-left: -4rem;
    grid-area: gside;
}

.gside .gentle {
    transform: rotate(90deg);
}

.bside {
    top: 36%;
    text-align: center;
    grid-area: bside;
    position: absolute;
    right: 0;
    padding: 25px;
    transform: rotate(90deg) translate(100%, 0);
    transform-origin: 100% 0;
}

main {
    position: relative;
    display: grid;
    grid-area: main;
}

.swiper-container {
    position: relative;
    grid-area: main;
    height: 90%;
    width: 100%;
}

.swiper-slide img {
    position: relative;
    width: 300px;
    height: 500px;
    max-width: 100%;
    max-height: 85%;
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
}

.swiper-slide img:hover {
    height: 85.5%;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
}

.film-1 {
    position: relative;
    display: flex;
    bottom: -45px;
    /* left: 25%; */
    /* margin: 0 auto; */
    justify-content: center;
    align-items: center;
}

.film-1 a {
    text-decoration: none;
    color: black;
}

.film-2 {
    position: absolute;
    bottom: 0;
    left: 15%;
    justify-content: center;
    align-items: center;
}

.film-2 a {
    text-decoration: none;
    color: black;
}

.whatson {
    white-space: nowrap;
    grid-area: whatson;
    /* background-color: yellow; */
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.whatson a {
    text-decoration: none;
    color: black;
}

footer {
    grid-area: footer;
    /* background-color: yellow; */
}

.about {
    grid-area: about;
    /* background-color: yellow; */
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.about a {
    text-decoration: none;
    color: black;
}

h1 {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    font-size: 3.5rem;
    font-weight: 550;
    color: black;
    text-decoration: none;
}

h2 {
    font-family: 'Neue Haas Grotesk Display Pro';
    font-size: 1.25rem;
    font-weight: 500;
    color: black;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
    font-size: 1.2rem;
}

@media (max-width: 500px) {
    .grid-container {
        display: grid;
        align-items: center;
        grid-template-columns: 1fr 10fr 1fr;
        grid-template-rows: 1fr 5fr 1fr;
        grid-template-areas: "film   header  theatre" "main    main    main" "whatson   footer  about";
        height: 100%;
        justify-items: center;
        overflow: hidden;
    }
    .logo {
        position: relative;
        height: 2.5rem;
        width: 2.5rem;
        margin-bottom: 65%;
        right: 40%;
    }
    main {
        position: relative;
        display: grid;
        grid-area: main main main;
        justify-items: center;
        align-items: center;
    }
    .swiper-container {
        position: relative;
        height: 350px;
        width: 97.5%;
    }
    .swiper-slide img {
        position: relative;
        width: 540px;
        height: 270px;
        max-width: 85%;
        max-height: 60%;
        -ms-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        left: 50%;
        top: 50%;
    }
    .film-1 {
        position: absolute;
        bottom: 0;
        left: 17.5%;
        margin-right: 30px;
        text-decoration: none;
        color: black;
        text-align: center;
    }
    .film-2 {
        position: absolute;
        bottom: 0;
        left: 5%;
        margin-right: 5px;
        text-decoration: none;
        color: black;
        text-align: center;
    }
    .film {
        grid-area: film;
        padding-left: 1em;
        padding-top: 1em;
        margin-left: 0;
        /* margin-right: auto; */
    }
    .theatre {
        grid-area: theatre;
        padding-right: 1em;
        padding-top: 1em;
        margin-left: auto;
        margin-right: 0;
    }
    .whatson {
        white-space: nowrap;
        grid-area: whatson;
        padding-left: 1em;
        padding-bottom: 1em;
        margin-left: 0;
        margin-right: auto;
    }
    footer {
        grid-area: footer;
    }
    .about {
        grid-area: about;
        padding-right: 1em;
        padding-bottom: 1em;
        margin-left: auto;
        margin-right: 0;
    }
    .logo {
        height: 2.75rem;
        width: 2.75rem;
        margin: auto;
        margin-bottom: 45%;
    }
}